Atom feed of this document
 

 Show Port Details

Verb URI Description
GET /tenants/tenant-id/networks/ network-id/ports/ port-id/detail Retrieves detailed information for the port port-id configured for the network network-id belonging to the tenant tenant-id.

Normal Response Code(s): 200

Error Response Code(s): Unauthorized (401), Forbidden (403), NetworkNotFound (420), PortNotFound (430)

This operation provides at least the identifier and the current administrative state for specific port configured for a given network.

If an attachment is plugged into the port, this operation will return the identifier of the attachment as well.

This operation does not require a request body.

 

Example 4.21. Show Port Details Request/Response (XML)

Request:

GET /tenants/33/networks/158233b0-ca9a-40b4-8614-54a4a99d47d1/ports/98017ddc-efc8-4c25-a915-774b2a633855/detail.xml                

Response:

<port
    id="98017ddc-efc8-4c25-a915-774b2a633855"
    state="DOWN">
    <attachment 
    	id="test_interface_identifier"/>
</port>
                    

 

Example 4.22. Show Port Details Request/Response (JSON)

Request:

GET /tenants/33/networks/158233b0-ca9a-40b4-8614-54a4a99d47d1/ports/98017ddc-efc8-4c25-a915-774b2a633855/detail.json	                

Response:

{
    "port":
        {
            "state": "DOWN",
            "id": "98017ddc-efc8-4c25-a915-774b2a633855"
            "attachment":
                {
                    "id": "test_interface_identifier"
                }            
        }
}